diff --git a/resources/web/flutter_web/flutter_bootstrap.js b/resources/web/flutter_web/flutter_bootstrap.js
index 2e21c880b3..4460c924a7 100644
--- a/resources/web/flutter_web/flutter_bootstrap.js
+++ b/resources/web/flutter_web/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"b8800d88be4866db1b15f8b954ab2573bba996
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "2215352959"
+    serviceWorkerVersion: "3641839510"
   }
 });
diff --git a/resources/web/flutter_web/flutter_service_worker.js b/resources/web/flutter_web/flutter_service_worker.js
index 6e22c07334..8e2897c367 100644
--- a/resources/web/flutter_web/flutter_service_worker.js
+++ b/resources/web/flutter_web/flutter_service_worker.js
@@ -3,11 +3,11 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"flutter_bootstrap.js": "ed300e527fb557f38e85cca50675c9cd",
-"version.json": "6d5ca0f7723a525c74b13b602c142258",
+const RESOURCES = {"flutter_bootstrap.js": "77c200f4e6ec4ef6785855fedd054b7b",
+"version.json": "f4df43bad483cd92d171358498c9d8f9",
 "index.html": "2753effad264bd7ecad1460aa8a6e57f",
 "/": "2753effad264bd7ecad1460aa8a6e57f",
-"main.dart.js": "769083526223f24a3a4332132f6f969e",
+"main.dart.js": "9442eacb997e32934212db91b3726c44",
 "flutter.js": "f31737fb005cd3a3c6bd9355efd33061",
 "version.changelog": "342987a68a2c2325abdbf8c777f5f1f9",
 "favicon.png": "be8d1ab28c20907c9869c345d0482962",
@@ -16,14 +16,15 @@ const RESOURCES = {"flutter_bootstrap.js": "ed300e527fb557f38e85cca50675c9cd",
 "icons/Icon-maskable-512.png": "4870fb6720f4fcad016cb582589d136d",
 "icons/Icon-512.png": "343022ac1c56796cb7ff635faf0646ef",
 "manifest.json": "901d86fb8842ec0d66225a542131d689",
-"assets/AssetManifest.json": "0ca1adeaeab52709b07b5d10f289d27e",
+"assets/AssetManifest.json": "660c5d4f2ebdd5bdd856a3847ae08827",
 "assets/NOTICES": "d069331fe8f2999724abec0a42604cc7",
 "assets/FontManifest.json": "0dc3d44d47c5e2636cdca4babafb2396",
-"assets/AssetManifest.bin.json": "65479ef4a322f558edbe98c4ccb24ccf",
+"assets/AssetManifest.bin.json": "fc74193f1dcf1df8092bf993cb281f41",
 "assets/packages/lava_model_station/assets/404.png": "e8a45c994c2f6f551cf1e052f64dba1c",
 "assets/packages/lava_model_station/assets/placehoder-image.png": "fd0b3547e2b90c124112401d7a8f6a02",
 "assets/packages/lava_model_station/assets/svgs/iconPlate.svg": "05acab23d908534f0660b4f06cc36e8d",
 "assets/packages/lava_model_station/assets/svgs/iconTime.svg": "bcddee2512587e441a39fbdf4b0c1d70",
+"assets/packages/lava_model_station/assets/svgs/iconGcode.svg": "9b20a88a3f79c7347e665a8738eeea6b",
 "assets/packages/lava_model_station/assets/svgs/iconNozzle.svg": "fa46a390b0c9db063e289af55b55329e",
 "assets/packages/lava_model_station/assets/svgs/iconWeight.svg": "bfe3246df9e15f08bc5208d34ae3a814",
 "assets/packages/lava_model_station/assets/empty-box.png": "f0fcb1ead826eec9ff565c2ac0dfd1da",
@@ -33,12 +34,12 @@ const RESOURCES = {"flutter_bootstrap.js": "ed300e527fb557f38e85cca50675c9cd",
 "assets/packages/fluttertoast/assets/toastify.css": "a85675050054f179444bc5ad70ffc635",
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
-"assets/AssetManifest.bin": "e4c6ca6d50f07cdddb11a96649efa238",
+"assets/AssetManifest.bin": "037b9d5cbc8fd045ebdd1277e9b52873",
 "assets/fonts/MaterialIcons-Regular.otf": "165e0312a2248a5fe696bc445a5c4e9a",
 "assets/assets/mock_data/model_detail.json": "9c3ce3e4bb3dbe78b74fc2d11d152485",
 "assets/assets/mock_data/model_station_list.json": "1dcbd846d8b97bae543caba6ce135040",
-"assets/assets/i10n/zh-CN.json": "162d7bafe00dd85dc81bc56db0a04f71",
-"assets/assets/i10n/en.json": "6bb21184ba7bf7081ab33cb62c45a55b",
+"assets/assets/i10n/zh-CN.json": "a98d1d23312e7286134122716a5aa73e",
+"assets/assets/i10n/en.json": "842c87c59ba8e6dab2147bde49e30241",
 "assets/assets/images/deviceNoResponse.webp": "1ca23a7feedfdc34362ea5789ccf895b",
 "assets/assets/images/deviceAuthorized.webp": "8eb814193bed15cec22658018871aba8",
 "assets/assets/images/IpInputGuide.webp": "06c11ce1dadc2910676aec6d40a5eea5",
